<?php
session_start();
include('../cfg/cfg.php');
include('../cfg/res.php');
  include ('php_gene1.php');

$sql_exis_tmp='select count(*) total_t from usrt0 where usrt_status="0" and  usrt_cedula="'.$_GET['ci'].'"';
$res_exis_tmp=mysql_query($sql_exis_tmp,$link_vcrx);
$total_t=mysql_result($res_exis_tmp,0,'total_t');
if(empty($_GET['ci']))
{
	die('Ocurrio un error, Presione F5 para actualizar');
}
if($total_t == 0)
{
	die('Ud ya esta registrado');
}

$sql_uptmp='update usrt0 set usrt_status="1" where usrt_cedula="'.$_GET['ci'].'"';

if(!mysql_query($sql_uptmp,$link_vcrx))
{
	die('Ocurrio un error al actualizar');
}

$sql_existe_usr='select COUNT(*)as existe from user0 where user_cedula="'.$_GET['ci'].'"';
$res_exis_usr=mysql_query($sql_existe_usr,$link_vcrx);
$existe_usr=mysql_result($res_exis_usr,0,'existe');

if($existe_usr!=0)
{
	die('Ud ya esta registrado!.');
}
$sql_exis_tmp='select * from usrt0 where  usrt_cedula="'.$_GET['ci'].'"';
$res_exis_tmp=mysql_query($sql_exis_tmp,$link_vcrx);
		
$sql_entidad_insert='insert into user0(
	user_descri,user_cedula,user_clave,user_email,user_idate)
	values(
	"'.mysql_result($res_exis_tmp,0,'usrt_descri').'",
	"'.$_GET['ci'].'",
	"'.mysql_result($res_exis_tmp,0,'usrt_clave').'",
	"'.mysql_result($res_exis_tmp,0,'usrt_email').'",
    NOW())';
if(mysql_query($sql_entidad_insert,$link_vcrx))
{
  $usuario=mysql_insert_id();		
	$_SESSION['user_vcrx_id']=$_GET['ci'];
	$_SESSION['user_vcrx_descri']=mysql_result($res_exis_tmp,0,'usrt_descri');
	$_SESSION['user_vcrx_tipo']=mysql_result($res_exis_tmp,0,'usrt_tipo');
	$_SESSION['user_vcrx_empr']=$empr_codigo;
	$sql_empr='select *from empr1';
	$res_empr=mysql_query($sql_empr,$link_vcrx);
	$_SESSION['user_vcrx_lguia']=mysql_result($res_empr,0,'empr_lguia');
	$_SESSION['user_vcrx_razsoc']=mysql_result($res_empr,0,'enti_razsoc');
	$_SESSION['user_vcrx_nomcom']=mysql_result($res_empr,0,'enti_nomcom');
	//window.location.href='main';
	require('../../_lib/crea_usrdoc.php');
// 	$cr_usrdc=new crea_usrdoc('../cfg/res.php',$_GET['ci']);
	$cr_usrdc=gen_usrdoc($usuario);
	echo '0';
}
else
{
	echo 'Ocurrio un error: 02';
}
?>
